/****************************************************************/
/*								*/
/*			     rmdir.c				*/
/*								*/
/*		      command.com rmdir command			*/
/*								*/
/*			Copyright (c) 1995			*/
/*			Pasquale J. Villani			*/
/*			All Rights Reserved			*/
/*								*/
/* This file is part of CMD32.					*/
/*								*/
/* CMD32 is free software; you can redistribute it and/or	*/
/* modify it under the terms of the GNU General Public License	*/
/* as published by the Free Software Foundation; either version	*/
/* 2, or (at your option) any later version.			*/
/*								*/
/* CMD32 is distributed in the hope that it will be useful, but	*/
/* WITHOUT ANY WARRANTY; without even the implied warranty of	*/
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See	*/
/* the GNU General Public License for more details.		*/
/*								*/
/* You should have received a copy of the GNU General Public	*/
/* License along with CMD32; see the file COPYING.  If not,	*/
/* write to the Free Software Foundation, 675 Mass Ave,		*/
/* Cambridge, MA 02139, USA.					*/
/****************************************************************/

/* $Logfile$ */

/* $Log$ 
 * $EndLog$ */

#ifdef VERSION_STRINGS
static BYTE *Rcs = "$Logfile$";
#endif

#include <windows.h>
#include "globals.h"
#include "proto.h"

BOOL rmdir(INT argc, BYTE *argv[])
{
	if(argc != 2)
	{
		error_message(INV_NUM_PARAMS);
		return FALSE;
	}
	/* for now							*/
	if(!RemoveDirectory((LPCTSTR)argv[1]))
	{
		error_mess_str=argv[1];
		error_message(CANNOT_REMOVE);
		return FALSE;
	}
	else
		return TRUE;
}


